<?xml version="1.0" encoding="UTF-8"?>
<PropertyList>
  <path>landing.ac</path>
  <params>
    <power-source>systems/DC/outputs/landing-lights[1]</power-source>
    <x-m/>
    <y-m/>
    <z-m/>
  </params>
  <animation>
    <type>select</type>
    <condition>
      <equals>
        <property>gear/gear[0]/position-norm</property>
        <value>1</value>
      </equals>
      <greater-than>
        <property alias="/params/power-source"/>
        <value>22</value>
      </greater-than>
    </condition>
  </animation>
  <light>
    <name>landing-light-nose</name>
    <type>spot</type>
    <position>
      <x alias="/params/x-m"/>
      <y alias="/params/y-m"/>
      <z alias="/params/z-m"/>
    </position>
    <direction>
      <pitch-deg>73.5</pitch-deg>
      <roll-deg>0</roll-deg>
      <heading-deg>0</heading-deg>
    </direction>
    <ambient>
      <r>0.99</r>
      <g>0.9</g>
      <b>0.8</b>
      <a>1.0</a>
    </ambient>
    <debug-color>
      <r>0.5</r>
      <g>0.5</g>
      <b>0.1</b>
      <a>1.0</a>
    </debug-color>
    <diffuse>
      <r>1.0</r>
      <g>1.0</g>
      <b>0.9</b>
      <a>1.0</a>
    </diffuse>
    <specular>
      <r>0.7</r>
      <g>0.7</g>
      <b>0.5</b>
      <a>1.0</a>
    </specular>
    <attenuation>
      <c>1.0</c>
      <l>0.007</l>
      <q>0.0002</q>
    </attenuation>
    <spot-cutoff>26</spot-cutoff>
    <spot-exponent>15</spot-exponent>
    <range-m>600</range-m>
  </light>
  <animation>
    <type>rotate</type>
    <object-name>landing-light-nose</object-name>
    <property>/_lights/ll-nose/pitch</property>
    <center>
      <x-m alias="/params/x-m"/>
      <y-m alias="/params/y-m"/>
      <z-m alias="/params/z-m"/>
    </center>
    <axis>
      <x>0</x>
      <y>1</y>
      <z>0</z>
    </axis>
  </animation>
  <animation>
    <type>flash</type>
    <object-name>Light</object-name>
    <power>15</power>
    <factor>2</factor>
    <min>0.2</min>
    <max>7</max>
    <two-sides type="bool">false</two-sides>
    <axis>
      <x>-1</x>
      <y>0</y>
      <z>0</z>
    </axis>
  </animation>
</PropertyList>
